Bug 69661 - unknown system details at RHN
Summary: unknown system details at RHN
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
: 68648 (view as bug list)
Depends On:
Blocks: 120092
TreeView+ depends on / blocked
 
Reported: 2002-07-24 09:14 UTC by Michael Schwendt
Modified: 2015-01-07 23:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 14:56:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2002-07-24 09:14:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020702

Description of problem:
System details at Red Hat Network get not filled in.

How reproducible:
Always

Steps to Reproduce:
1. Run "up2date" to register at RHN (and update packages).
2. Log into RHN and watch: System > Details > Overview
	

Actual Results:

  Last Booted:  unknown
  Kernel Version:  unknown


Expected Results:
  
  Last Booted:  2002-07-24 06:30:28 +0100 (CET)
  Kernel Version:  2.4.18-5.73


Additional info: IIRC, old versions of rhn_register (e.g. Enigma) did fill in
those details, but did not update them with subsequent runs of up2date (or
up2date -p).

Comment 1 Adrian Likins 2002-08-02 19:56:25 UTC
`up2date -p` should fill in those details. Or any package
update.

Comment 2 Michael Schwendt 2002-08-02 20:29:38 UTC
Well, I have submitted this bug report because it does _not_ work for me.
up2date -p does _not_ help.

Do you know what I'm talking of? Or do you want me to rephrase any part?

It has stopped working with Valhalla. Actually, I have an up2date Valhalla
machine which is claimed to run kernel 2.4.9-31 according to RHN. There's a
separate older bug report about it (either RHN or Valhalla).


Comment 3 Michael Schwendt 2002-08-02 20:59:39 UTC
Just for reference, the other report is bug #68648.


Comment 4 Mike Chambers 2002-08-02 22:01:16 UTC
Does RHNSD daemon need to be running for this info to be gathered?  Or is 
using the -p option do the same thing?

Comment 5 Michael Schwendt 2002-08-02 22:17:50 UTC
Valuable input, Mike.

It is _only_ the "rhn_check" utility (rhnsd) that updates the system details,
apparently. I just ran "rhn_check" and it filled in the unknown fields.

Is it supposed to be like that? Should "up2date -p" update the system details
too, like Adrian wrote?


Comment 6 Michael Schwendt 2002-08-02 22:21:06 UTC
*** Bug 68648 has been marked as a duplicate of this bug. ***

Comment 7 Michael Schwendt 2002-08-02 22:33:44 UTC
Same on Valhalla. Only rhn_check updates the system details. up2date -p does not
do it.


Comment 8 Michael Schwendt 2002-11-30 13:14:40 UTC
Reproducible with: up2date 3.0.7-1

Comment 9 Michael Schwendt 2003-03-17 13:25:31 UTC
Reproducible with: up2date-3.1.17-1 (Phoebe 8.0.94)

If what is written in comment #1 is NOT the expected behavior of "update -p",
this report can be closed.

OTOH, "update --hardware" only updates "Hostname" and "IP Address", but not
"Kernel" and neither "Last Booted".

Only rhn_check updates uptime and uname ("Last Booted" and "Kernel" in RHN
System Info).

Comment 10 John Thacker 2006-04-22 14:56:26 UTC
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.


Note You need to log in before you can comment on or make changes to this bug.